Name:           openalpp
Version:        20060714
Release:        3%{?dist}
Summary:        Object Oriented version of OpenAL

Group:          System Environment/Libraries
License:        LGPL
URL:            http://alpp.sourceforge.net
Source0:        http://download.gna.org/underware/sources/%{name}-cvs-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openal-devel freealut-devel libvorbis-devel OpenThreads-devel
BuildRequires:  libtool


%description
Written in C++, makes OpenAL so much more accessible. Compare OpenAL++ to a
scenegraph for OpenGL.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       openal-devel freealut-devel libvorbis-devel OpenThreads-devel

%description devel
This package contains headers and libraries required to build applications that
use OpenAL++.


%prep
%setup -q -n %{name}-cvs-%{version}
sed -i -e 's/^\(CXXFLAGS="[^"]*\)/\1 $CXXFLAGS/' configure
find -name "*.cpp" -o -name "*.h" | xargs chmod -c -x


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# exclude libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%{_includedir}/openalpp
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so


%changelog
* Sun Feb 04 2007 Christohper Stone <chris.stone@gmail.com> 20060714-3
- Fix parsing of CFLAGS in configure, bug #227287

* Mon Jan 15 2007 Christopher Stone <chris.stone@gmail.com> 20060714-2
- Fix Requires for devel subpackage

* Sun Sep 03 2006 Christopher Stone <chris.stone@gmail.com> 20060714-1
- Upstream sync
- Remove patches no longer required
- Remove system command macros

* Thu Aug 31 2006 Christopher Stone <chris.stone@gmail.com> 20060405-11
- FC6 Rebuild

* Wed Jul 12 2006 Christopher Stone <chris.stone@gmail.com> 20060405-10
- Add patch to link properly

* Wed Jun 14 2006 Christopher Stone <chris.stone@gmail.com> 20060405-9
- Add libtool to BuildRequires

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 20060405-8
- Remove pkgconfig Requires on devel since it is picked up from openal-devel

* Sun Jun 11 2006 Christopher Stone <chris.stone@gmail.com> 20060405-7
- Add automake to BuildRequires

* Sat Jun 10 2006 Christopher Stone <chris.stone@gmail.com> 20060405-6
- Add %%check section
- Change %%makeinstall to use DESTDIR
- Add autoconf to BuildRequires

* Fri Jun 09 2006 Christopher Stone <chris.stone@gmail.com> 20060405-5
- devel package Requires pkgconfig

* Sat Jun 03 2006 Christopher Stone <chris.stone@gmail.com> 20060405-4
- devel package Requires openal-devel
- Fix up descriptions

* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> 20060405-3
- Fix Group
- Fix patch number

* Sun May 21 2006 Christopher Stone <chris.stone@gmail.com> 20060405-2
- Remove unneeded Requires
- Remove portaudio from BuildRequires
- Add autoreconf to %%prep

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 20060405-1
- upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 20060321-2
- Remove docs package
- Fix BuildRequires and Requires
- Remove unneeded autoconf

* Wed Mar 22 2006 Loic Dachary <loic@gnu.org> 20060321-1
- Initial RPM release
